Bug 438306 - valgrind --db-attach=yes doesn't work
valgrind --db-attach=yes doesn't work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: valgrind (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-20 06:53 EDT by Tim Waugh
Modified: 2009-01-09 01:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:13:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2008-03-20 06:53:39 EDT
Description of problem:
When trying to run 'valgrind --db-attach=yes ...', I get this behaviour:

==12609== ---- Attach to debugger ? --- [Return/N/n/Y/y/C/c] ---- y
starting debugger
==12609== 

i.e. all that it does is display 'starting debugger', and carry on.  The
debugger is not invoked.

Version-Release number of selected component (if applicable):
valgrind-3.2.3-7

How reproducible:
100%

Steps to Reproduce:
1.valgrind --db-attach=yes ...
2.Answer 'y' when prompted.
  
Actual results:
Debugger not invoked.

Expected results:
Debugger invoked.
Comment 1 Denys Vlasenko 2008-08-22 09:21:30 EDT
Works for me.

# valgrind --version
valgrind-3.3.0
# rpm -q valgrind
valgrind-3.3.0-3.x86_64
# uname -a
Linux localhost.localdomain 2.6.25.11-97.fc9.x86_64 #1 SMP Mon Jul 21 01:09:10 EDT 2008 x86_64 x86_64 x86_64 GNU/Linux

This post:

http://osdir.com/ml/debugging.valgrind/2004-03/msg00018.html

suggests that this might be a kernel problem.

Tim, are you still able to reproduce it? What is your kernel etc?
Also, can you attach your test program? I was using this one:

#include <stdio.h>
int main() {
    char tmp;
    if (tmp)
        printf("Ha-ha!\n");
    return 0;
}
Comment 2 Tim Waugh 2008-09-02 11:27:50 EDT
Works in Fedora 9 but not in current Fedora 8:

kernel-2.6.25.14-69.fc8
glibc-2.7-2
valgrind-3.2.3-7
x86_64 (kvm)
Comment 3 Bug Zapper 2008-11-26 05:13:58 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 01:13:55 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.